#!/usr/bin/env bash

export TMPDIR=${SCRATCHDIR}

echo "PORT: ${port}"

podman-real run --root=${TMPDIR} --rm -p ${port}:8787 -e PASSWORD="Iamapasswordlookatme123" --ulimit="nofile=4096" -v /mnt:/storage -v ${HOME}:/home/rstudio -it rocker/rstudio /bin/bash -c "echo 'auth-encrypt-password=0' >> /etc/rstudio/rserver.conf; echo 'auth-minimum-user-id=0' >> /etc/rstudio/rserver.conf; sed -i -e 's/rstudio:x:1000/rstudio:x:0/' /etc/passwd ; /init"

killall -9 dbus-daemon &> /dev/null

echo "end script"
