#!/usr/bin/env bash

# Clean the environment
module purge

# Set working directory to home directory
cd "${HOME}"

#
# Launch Xfce Window Manager and Panel
#

(
  export SEND_256_COLORS_TO_REMOTE=1
  export XDG_CONFIG_HOME="/storage/brno3-cerit/home/zvon/ondemand/data/sys/dashboard/batch_connect/sys/MATLAB/output/2c2e956e-93ad-450d-89f9-9f648ef0a934/config"
  export XDG_DATA_HOME="/storage/brno3-cerit/home/zvon/ondemand/data/sys/dashboard/batch_connect/sys/MATLAB/output/2c2e956e-93ad-450d-89f9-9f648ef0a934/share"
  export XDG_CACHE_HOME="$(mktemp -d)"
  module restore
  set -x
  xfwm4 --compositor=off --daemon --sm-client-disable
  xsetroot -solid "#D3D3D3"
  xfsettingsd --sm-client-disable
  xfce4-panel --sm-client-disable
) &

#
# Start MATLAB
#

# Load the required environment
module add  matlab-9.5
export PATH=/cvmfs/software.metacentrum.cz/software/virtualgl/2.6.3/bin/:$PATH

# Launch MATLAB
echo "Launching matlab"
module list
set -x
matlab -desktop
